Debian Bug report logs - #694806
Failure with persistence filesystem with old label (live-rw)

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Gaudenz Steinlin <gaudenz@debian.org>

Date: Fri, 30 Nov 2012 14:18:02 UTC

Severity: minor

Tags: patch

Found in version 3.0~b8

Fixed in version live-boot/3.0~b9-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ronny.standtke@fhnw.ch, Debian Live Project <debian-live@lists.debian.org>:
Bug#694806; Package live-boot. (Fri, 30 Nov 2012 14:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
New Bug report received and forwarded. Copy sent to ronny.standtke@fhnw.ch, Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Nov 2012 14:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Failure with persistence filesystem with old label (live-rw)
Date: Fri, 30 Nov 2012 15:14:28 +0100
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 3.0~b8
Severity: important
Tags: patch

Booting with a persistence filesystem that has the old "live-rw" label
results in a correct persistence.conf being written to that filesystem but the
filesystem is not used as persistence layer after boot.

This is because when mount_persistence_media is run the filesystem is
already mounted at the right place and this function does not output the
mount point in this case. The attached patch fixes this. With this patch
filesystems with the label "live-rw" work again.

I've also noticed that in the "debian-next" branch the backwards
compatibility for live-rw and home-rw labels is removed. What's the
planned upgrade path with this change? Do you expect users to relabel
their filesystems or do you plan to add code to automatically relabel
filesystems?

Gaudenz

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (800, 'testing'), (700, 'unstable'), (50, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[0001-Fix-backwards-compatibility-for-persistence.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#694806; Package live-boot. (Fri, 30 Nov 2012 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Nov 2012 14:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 694806@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Gaudenz Steinlin <gaudenz@debian.org>
Cc: 694806@bugs.debian.org
Subject: Re: Bug#694806: Failure with persistence filesystem with old label (live-rw)
Date: Fri, 30 Nov 2012 15:25:33 +0100
severity 694806 minor
thanks

On 11/30/2012 03:14 PM, Gaudenz Steinlin wrote:
> Do you expect users to relabel their filesystems

yes,

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Severity set to 'minor' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 30 Nov 2012 14:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#694806; Package live-boot. (Thu, 13 Dec 2012 09:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 13 Dec 2012 09:30:03 GMT) Full text and rfc822 format available.

Message #17 received at 694806@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: 694806@bugs.debian.org
Subject: Re: Bug#694806: Failure with persistence filesystem with old label (live-rw)
Date: Thu, 13 Dec 2012 10:18:34 +0100
Hi

Daniel Baumann <daniel.baumann@progress-technologies.net> writes:

> severity 694806 minor
> thanks

I don't want to argue about severities. But is there any reason the
patch is not applied yet. If it needs improvements I'd like to know so I
can update the patch. Regardless of the severity I really think that
this fix should go into the version released with squeeze.

>
> On 11/30/2012 03:14 PM, Gaudenz Steinlin wrote:
>> Do you expect users to relabel their filesystems
>
> yes,

Would a patch to automatically relabel the filesystems in this case be
acceptable?

Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#694806; Package live-boot. (Thu, 13 Dec 2012 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 13 Dec 2012 11:15:03 GMT) Full text and rfc822 format available.

Message #22 received at 694806@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Gaudenz Steinlin <gaudenz@debian.org>
Cc: 694806@bugs.debian.org
Subject: Re: Bug#694806: Failure with persistence filesystem with old label (live-rw)
Date: Thu, 13 Dec 2012 12:14:01 +0100
On 12/13/2012 10:18 AM, Gaudenz Steinlin wrote:
> But is there any reason the patch is not applied yet.

i think anonym fixed that already, no?

> Would a patch to automatically relabel the filesystems in this case be
> acceptable?

no, we do not want to mess with users data here.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Marked as fixed in versions live-boot/3.0~b9-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 16 Dec 2012 10:03:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 16 Dec 2012 10:03:03 GMT) Full text and rfc822 format available.

Notification sent to Gaudenz Steinlin <gaudenz@debian.org>:
Bug acknowledged by developer. (Sun, 16 Dec 2012 10:03:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Jan 2013 07:25:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:58:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.